An Installation Group (IGRP) represents one or more web sites that are tracked (and reported) together under a single installation ID.
These are the properties that can be accessed using the API.
| Property | Description |
|---|---|
| igrp (int) | Installation ID. |
| igrpName (string) | Friendly name of the Installation (e.g. “My Website”) |
| packageType (string) | Package of the Installation. |
| orgId (int) | Organisation this IGRP belongs to. |
| igrpType (string) | The type of IGRP. Can be blank (empty) or pbx for phone system installs |
| sfOrgRef (string) | The Salesforce organisation ID this installation is associated with. |
| platform (string) | The platforms that the IGRP is visible on (‘hub’, ‘portal’, ‘both’). |
| conversationAnalytics (int) | Read-only. A flag (1 or 0) indicating whether this IGRP has Conversation Analytics enabled. |
| features (array) | Read-only. A list of features available to the IGRP. |
| editionName (string) | Read-only. Natural name of edition which is used by IGRP. |
| editionCode (string) | Read-only. System code of edition which is used by IGRP. |
Returns a list of IGRPs that the current user can access.
GET /reports/v2/igrps
GET Params
| Property | Description |
|---|---|
| rootOrgId (integer) OPTIONAL |
limit the result set within this organisation branch. |
| filter (array) OPTIONAL |
One or more filters, see Filter Types. |
| sort (array) OPTIONAL |
One or more sorting params, see Sort Types. |
| limit (integer) OPTIONAL |
limit on the result set. |
| offset (integer) OPTIONAL |
offset of the result set. |
| Property | Description |
|---|---|
| igrp (int) | Installation ID. |
| igrpName (string) | Friendly name of the Installation (e.g. “My Website”) |
| packageType (string) | Package of the Installation. |
| orgId (int) | Organisation this IGRP belongs to. |
| igrpType (string) | The type of IGRP. Can be blank (empty) or pbx for phone system installs |
| sfOrgRef (string) | The Salesforce organisation ID this installation is associated with. |
| platform (string) | The platforms that the IGRP is visible on (‘hub’, ‘portal’, ‘both’). |
| conversationAnalytics (int) | Read-only. A flag (1 or 0) indicating whether this IGRP has Conversation Analytics enabled. |
| editionName (string) | Read-only. Natural name of edition which is used by IGRP. |
| editionCode (string) | Read-only. System code of edition which is used by IGRP. |
Same fields as Filter Types, see above.
Returns list of IGRPs that the current user can access.
Returns the properties for a particular IGRP.
GET /reports/v2/igrps/{IGRP SPECIFIER}
URL Path Params
| Property | Description |
|---|---|
| IGRP SPECIFIER (int) | Installation ID. |
Returns the requested IGRP details.